@import "variables";
@import "vendor/bootstrap/bootstrap/variables";
@import "mixins/ie10-and-up";
@import "typography";
@import "components/flex-row";
@import "components/contact-block";

.pricing-tabs {
  position: relative;
  display: flex;
  justify-content: center;
  margin: 40px 0 0;
  padding: 0;
  list-style: none;

  &::before {
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    width: 1px;
    background-color: $border-color;
    content: "";
  }

  li {
    $lt-active-tab-border-color: #6b4fb9;
    width: 223px;
    margin: 0 20px;
    border-bottom: 4px solid $color-gray-extra-light;

    &.active {
      border-bottom-color: $lt-active-tab-border-color;

      a {
        font-weight: 600;
      }
    }
  }

  a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 0;
    color: $text-color-light;
    font-size: 18px;

    svg {
      width: 32px;
      height: 32px;
      margin-right: 10px;

      > path {
        fill: currentcolor;
      }
    }
  }
}

.pricing-intro {
  $lt-height: 208px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: $lt-height;

  @include ie10-and-up {
    height: $lt-height;
  }

  .cta-btn {
    margin-bottom: 0;
  }
}

.pricing-options {
  margin-bottom: 80px;
  color: $text-color-light;
  font-size: 16px;

  @media (min-width: $screen-md-min) {
    .row .col-md-3 {
      padding-right: 5px;
      padding-left: 5px;
    }
  }

  h1 {
    margin-top: 0;
    color: $text-color-light;
    font-size: 30px;
    font-weight: 200;
  }

  h2 {
    font-size: 28px;
    font-weight: 400;
    color: $color-primary;
    margin-bottom: 30px;

    a {
      text-decoration: underline;
    }
  }
}

.plan {
  $lt-color-shadow: rgba(0, 0, 0, .10);
  position: relative;
  margin-bottom: 40px;
  border-radius: 3px;
  background: $color-white;
  box-shadow: 0 2px 6px 0 $lt-color-shadow;

  @media (min-width: $screen-md-min) {
    margin-bottom: 0;
    padding-bottom: 120px;
  }

  .pricing-options--self-hosted & {
    border-top: 4px solid $color-self-hosted-accent;
    border-bottom: 4px solid $color-self-hosted-accent;
  }

  .pricing-options--saas & {
    border-top: 4px solid $color-saas-accent;
    border-bottom: 4px solid $color-saas-accent;
  }

  .all-features {
    @include font-weight-semibold;
    display: block;
    padding: 20px 0;
    border-top: 1px solid $color-gray-extra-light;
    color: $text-color-light;
    font-size: 18px;

    @media (min-width: $screen-md-min) {
      position: absolute;
      right: 0;
      bottom: 4px;
      left: 0;
    }
  }
}

.plan-name {
  @include accent-font-regular;
  margin: 0;
  padding: 8px 0 11px;
  border-bottom: 1px solid $color-gray-extra-light;
  color: $text-color-light;
  font-size: 34px;
  line-height: 1.25;
}

.plan-description {
  padding: 20px;
  font-size: 16px;

  @media (min-width: $screen-md-min) {
    min-height: 130px;
  }
}

.plan-pricing {
  display: flex;
  align-items: center;

  .cost {
    padding: 0 6px;
  }

  .cost-large {
    font-size: 64px;
    text-align: right;
  }

  .cost-small {
    text-align: left;
  }

  .cost-extra-small {
    font-size: 12px;
  }
}

.plan-actions {

  @media (min-width: $screen-md-min) {
    margin-bottom: 12px;

    .pricing-options--self-hosted & {
      min-height: 138px;
    }
  }

  .more-info {
    display: inline-block;
    margin-top: 10px;
    margin-bottom: 20px;
    font-weight: 600;
    line-height: 20px;
  }

  .more-link {
    color: inherit;
    font-weight: inherit;
    text-decoration: underline;
  }
}

.plan-item-list {
  display: none;
  padding: 20px;
  text-align: left;

  &.list-expanded {
    display: block;
  }

  @media (min-width: $screen-md-min) {
    display: block;
  }

  .item-description {
    display: flex;
    margin-bottom: 20px;

    .info-icon {
      margin-left: 5px;
    }
  }

  a {
    position: relative;
    display: block;
    padding-left: 18px;
    color: $text-color-light;
    font-size: 16px;
    line-height: (26 / 16);

    &::before {
      position: absolute;
      top: 1px;
      left: 0;
      display: inline-block;
      font-family: $font-family-base;
      content: "→";
    }
  }
}

.line-separator {
  background: $landing-organization-color;
  margin: auto;
  width: 85%;
  height: 1px;
}

.content-container {
  background-color: $pricing-gray-bg;

  &.faq {
    padding-bottom: 100px;
    background-color: $color-white;
    border-top: 1px solid $border-color;
  }
}


.contact-us-button {
  margin-top: 50px;
}

.faq-title {
  margin-top: 0;
  margin-bottom: 0;
  color: $color-secondary;
  font-size: 30px;

  @media (min-width: $screen-md-min) {
    font-size: 47px;
  }
}

.faq-subtitle {
  margin-top: 10px;
  margin-bottom: 15px;
  font-size: 20px;

  @media (min-width: $screen-sm-min) {
    margin-bottom: 35px;
  }

  a {
    color: inherit;
    border-bottom: 1px solid;
    font-weight: inherit;

    &:hover {
      color: $color-primary;
      text-decoration: none;
      border-bottom-color: transparent;
    }
  }
}

.compare {
  margin-top: 35px;
  margin-bottom: 80px;

  .title {
    font-weight: 600;
    font-size: 47px;
    color: $color-dark;
    line-height: 64px;
    text-align: center;
    padding-bottom: 50px;
  }
}

.comparison {
  margin-top: 40px;

  &.gray-bg {
    background-color: $body-bg;
  }
}

// TODO pull out into central component with better name
.stacked-buttons {
  display: inline-block;

  .btn {
    display: inline-block;
    float: left; // Prevent layout offset

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}

.featured-item-expand {
  display: block;
  padding: 10px;
  font-size: 15px;
  color: $mvp-table-header-color;

  &::after {
    content: "\f078";
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }

  &.chevron-up {
    &::after {
      content: "\f077";
    }
  }

  @media (min-width: $screen-md-min) {
    display: none;
  }
}

